Subject: Re: suspend-to-mem on the mpc8349e-mitx-gp?

From: Scott Wood <[email-masked]>
Date: Fri, 20 Mar 2009 09:41:57 -0500

Li Yang-R58472 wrote:
>> However, the code should treat "mem" as "standby" on chips 
>> that don't support deep sleep.  What does the device tree 
> 
> Well, shouldn't the valid() callback reject unsupported states instead
> of covering up?

I don't think so, in this case.  The user is not asking for "sleep" or 
deep sleep"; they are asking for a power state that meets the definition 
of "standby" (which sleep does) or which meets the definition of "mem" 
(which both sleep and deep sleep do).  When the user asks for "mem", we 
provide the lowest power mode that qualifies.

I'm willing to change it if there's substantial existing practice to the 
contrary, though.

-Scott